package com.om.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.om.entity.po.AppsDesc;
import com.om.mapper.AppsDescMapper;
import com.om.service.IAppsDescService;
import com.om.utils.Result;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 应用描述表 服务实现类
 * </p>
 *
 * @author henry-ong
 * @since 2024-03-12
 */
@Service
public class AppsDescServiceImpl extends ServiceImpl<AppsDescMapper, AppsDesc> implements IAppsDescService {

  @Override
  public Result<Object> findDescByAppIdAndLang(String appId, String lang) {
    LambdaQueryWrapper<AppsDesc> queryWrapper = new LambdaQueryWrapper<>();
    queryWrapper.eq(AppsDesc::getAppId,appId);
    queryWrapper.like(AppsDesc::getLanguage,lang);
    List<AppsDesc> list = this.list(queryWrapper);

    return Result.ok(list);
  }
}
